{
  pkgs,
  config,
  ...
}: let
  username = "daniel";
in {
  services.postgresql = {
    enable = true;

    authentication = pkgs.lib.mkOverride 10 ''
      local all all trust
      host all all 127.0.0.1/32 trust
      host all all ::1/128 trust
    '';

    initialScript = pkgs.writeText "oubliette-initscript" ''
      CREATE ROLE oubliette WITH LOGIN PASSWORD 'oubliette' CREATEDB;
      CREATE DATABASE oubliette_dev;
      GRANT ALL PRIVILEGES ON DATABASE oubliette TO oubliette;
    '';
  };
}
